Subject: [PATCH 6/6] serial: add amba-pl011-pci

From: [email-masked] (Alessandro Rubini)
Date: Sat, 26 May 2012 11:27:12 +0200

>> +	default y if STA2X11
> 
> I don't think we want to encourage an ever growing list of platforms
> here.  If we did this on ARM, this would be hellishly long.

Ok.

> NAK.  We have interfaces in the AMBA code for dynamically allocating
> AMBA devices now - please use them instead of coding your own.  They
> avoid bugs.

Sure. Thanks for noting. Maybe it wasn't there when I coded this
initially. Will do.

>> +	printk(KERN_INFO "%s %i\n", __func__, __LINE__);
> 
> This looks like debugging.

Yes. After sending I noted this and another point. I apologize.
Version 2 will be fixed in all respects.

> This comes nowhere close to being sane with the driver model. [...]
> In other words, save off the platform data pointer, unregister the struct
> device, and then free the platform data (it will not be used at that point.)

Thanks a lot for this and also the comments on APB/AHB in the other message.

/alessandro